export default {
  common: { // 通用
    loading: 'Desperately Loading',
    username: 'Username',
    setting: 'Setting',
    help: 'Help',
    logout: 'Logout',
    quit: 'Quit',
    num: 'No',
    status: 'Status',
    operate: 'Operation',
    search: 'Search',
    all: 'All',
    input: 'Please enter content',
    selected: 'Please select',
    remark: 'Remark',
    day: 'Day',
    currencyType: 'Currency Type',
    type: 'Type',
    count: 'Count',
    appends: 'Appendix',

    yes: 'Yes',
    no: 'No',
    cn: 'Zh',
    en: 'En',
    colon: ': ',
    question: '?',

    button: { // 按钮名称
      save: 'Save',
      cancel: 'Cancel',
      back: 'Back',
      add: 'Add',
      delete: 'Delete',
      download: 'Download',
      export: 'Export',
      check: 'Check',
      edit: 'Edit',
      change: 'Change'
    },
    aside: { // 左侧菜单
      home: 'home',
      jobNotice: 'Job Notice',
      oaOffice: 'OA Office',
      shipCertificate: 'Ship Certificate',
      purchasingManagement: ' Purchase Management',
      crewManagement: 'Crew Management',
      budgetSettlement: 'Budget Settlement'
    },
    header: { // 头部
      login: 'Login',
      certificateDetail: 'Certificate Detail',
      certificateList: 'Certificate List'
    },
    upload: {
      uploadButton: 'Upload Attachment',
      uploadText01: 'Support upload jpg, png, gif, pdf, doc, docx, xls, xlsx, zip, rar, eml',
      uploadText02: 'Format file, single file size cannot exceed 15MB',
      message01: 'Successfully Deleted ',
      message02: 'Confirm removal ',
      message03: 'The upload file size cannot exceed 15MB!',
      message04: 'The file type is not legal!'
    }
  },
  zs: {
    common: {
      crtName: 'Credential Name',
      shipName: 'M/V',
      crtType: 'Credential Type',
      issuingAgency: 'Issuing Agency',
      maturityDate: 'Maturity Date',
      surveyDate: 'Survey Date',
      neverExpires: 'Never Expires',
      startDate: 'Start Date',
      endDate: 'End Date',
      basicInfo: 'Basic Info',
      chineseName: 'Chinese Name',
      englishName: 'English Name',
      credentialNumber: 'Credential Number',
      warnInAdvance: 'Warn in advance',
      commonlyUsed: 'Commonly used',
      storagePlace: 'Storage place',
      issuingDate: 'Issuing date',
      manufacturer: 'Manufacturer',
      manuFacturer: 'Manufacturer',
      responsibleDepartment: 'Responsible department'
    },
    button: { // 按钮名称
      save: 'Save',
      cancel: 'Cancel',
      back: 'Back',
      add: 'Add',
      delete: 'Delete',
      download: 'Download',
      export: 'Export',
      check: 'Check',
      edit: 'Edit',
      change: 'Change'
    },
    crtList: {
      normalCrt: 'Normal Certificate',
      warningCrt: 'Warning Certificate',
      overdueCrt: 'Overdue Certificate',
      searchFilter: 'More filters',
      collapse: 'Collapse',
      search01: 'Please enter a certificate name'
    },
    crtCheck: {
      save: 'Save',
      cancel: 'Cancel',
      input: 'Please enter content',
      selected: 'Please select',
      informationOfThisInspection: 'Information of this inspection',
      thisInspectionItem: 'This inspection item',
      inspectionInstitution: 'Inspection institution',
      inspectionCompletionDate: 'Inspection completion date',
      personInCharge: 'Person in charge',
      inspectionFee: 'Inspection fee',
      currencyType: 'Currency type',
      nextInspectionInformation: 'Next inspection information',
      nextInspectionItem: 'Next inspection item',
      nextInspectionInstitution: 'Next inspection institution',
      dateOfNextInspection: 'Date of next inspection',
      nextAdvanceWarningDays: 'Next advance warning days',
      warningDays: 'Early Warning Days'
    },
    crtDetail: {
      inspectionInformation: 'Inspection Information',
      exchangeHistory: 'Exchange History',
      testItems: 'Test Items',
      InspectionAgency: 'Inspection Agency',
      surveyFinishDate: 'InspectionFinishDate',
      surveyCost: 'Inspection Cost',
      replacementCost: 'ReplacementCost',
      inspector: 'Inspector'
    }

  },
  route: {
    dashboard: 'Dashboard',
    introduction: 'Introduction',
    documentation: 'Documentation',
    guide: 'Guide',
    permission: 'Permission',
    pagePermission: 'Page Permission',
    rolePermission: 'Role Permission',
    directivePermission: 'Directive Permission',
    icons: 'Icons',
    components: 'Components',
    componentIndex: 'Introduction',
    tinymce: 'Tinymce',
    markdown: 'Markdown',
    jsonEditor: 'JSON Editor',
    dndList: 'Dnd List',
    splitPane: 'SplitPane',
    avatarUpload: 'Avatar Upload',
    dropzone: 'Dropzone',
    sticky: 'Sticky',
    countTo: 'CountTo',
    componentMixin: 'Mixin',
    backToTop: 'BackToTop',
    dragDialog: 'Drag Dialog',
    dragSelect: 'Drag Select',
    dragKanban: 'Drag Kanban',
    charts: 'Charts',
    keyboardChart: 'Keyboard Chart',
    lineChart: 'Line Chart',
    mixChart: 'Mix Chart',
    example: 'Example',
    nested: 'Nested Routes',
    menu1: 'Menu 1',
    'menu1-1': 'Menu 1-1',
    'menu1-2': 'Menu 1-2',
    'menu1-2-1': 'Menu 1-2-1',
    'menu1-2-2': 'Menu 1-2-2',
    'menu1-3': 'Menu 1-3',
    menu2: 'Menu 2',
    Table: 'Table',
    dynamicTable: 'Dynamic Table',
    dragTable: 'Drag Table',
    inlineEditTable: 'Inline Edit',
    complexTable: 'Complex Table',
    tab: 'Tab',
    form: 'Form',
    createArticle: 'Create Article',
    editArticle: 'Edit Article',
    articleList: 'Article List',
    errorPages: 'Error Pages',
    page401: '401',
    page404: '404',
    errorLog: 'Error Log',
    excel: 'Excel',
    exportExcel: 'Export Excel',
    selectExcel: 'Export Selected',
    mergeHeader: 'Merge Header',
    uploadExcel: 'Upload Excel',
    zip: 'Zip',
    pdf: 'PDF',
    exportZip: 'Export Zip',
    theme: 'Theme',
    clipboardDemo: 'Clipboard',
    i18n: 'I18n',
    externalLink: 'External Link'
  },
  navbar: {
    logOut: 'Log Out',
    dashboard: 'Dashboard',
    github: 'Github',
    theme: 'Theme',
    size: 'Global Size'
  },
  login: {
    login: 'Login',
    title: 'Provide one-stop, intelligent ship management platform services',
    rememberPwd: 'Remember Password',
    forgetPwd: 'Forget Password',
    select01: 'Please enter your account number',
    select02: 'Please enter your password',
    message01: 'About WinSea',
    message02: 'Pre-sales Advice',
    message03: 'Copyright © Dalian Winsea Technology Co.,Ltd | ICP:Liao ICP for 13007766-6',
    message04: 'User name input format is incorrect',
    message05: 'Password input format is incorrect',
    message06: 'Username and password cannot be empty',
    message07: 'Password can not be blank',
    message08: 'Username can not be empty',
    message09: 'Account or password is incorrect'
  },
  documentation: {
    documentation: 'Documentation',
    github: 'Github Repository'
  },
  table: {
    dynamicTips1: 'Fixed header, sorted by header order',
    dynamicTips2: 'Not fixed header, sorted by click order',
    dragTips1: 'The default order',
    dragTips2: 'The after dragging order',
    title: 'Title',
    importance: 'Imp',
    type: 'Type',
    remark: 'Remark',
    search: 'Search',
    add: 'Add',
    export: 'Export',
    reviewer: 'reviewer',
    id: 'ID',
    date: 'Date',
    author: 'Author',
    readings: 'Readings',
    status: 'Status',
    actions: 'Actions',
    edit: 'Edit',
    publish: 'Publish',
    draft: 'Draft',
    delete: 'Delete',
    cancel: 'Cancel',
    confirm: 'Confirm'
  },
  excel: {
    export: 'Export',
    selectedExport: 'Export Selected Items',
    placeholder: 'Please enter the file name(default excel-list)'
  },
  zip: {
    export: 'Export',
    placeholder: 'Please enter the file name(default file)'
  },
  pdf: {
    tips: 'Here we use window.print() to implement the feature of downloading pdf.'
  },

  tagsView: {
    refresh: 'Refresh',
    close: 'Close',
    closeOthers: 'Close Others',
    closeAll: 'Close All'
  },
  settings: {
    title: 'Page style setting',
    theme: 'Theme Color',
    tagsView: 'Open Tags-View',
    fixedHeader: 'Fixed Header',
    sidebarLogo: 'Sidebar Logo'
  }
};
